using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EQNetwork.Objects;
using EQNetwork.Utility;

namespace EQNetwork.Interfaces
{
    public partial interface IPostService
    {
        Post Get(int postId);

        void Create(ref Post post);

        void Update(ref Post post);

        void Delete(Post post);
        void Delete(int postId);
    }
}
